
From: Andrew Morton <akpm@osdl.org>

Fix up gregkh-i2c-w1-netlink-callbacks.patch for netlink changes in
git-net.patch.

(The use of `1' for `groups' is a wild guess.  Dave, can we please get some
documentation in there for this API?)

Cc: Greg KH <greg@kroah.com>
Cc: "David S. Miller" <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/w1/w1_netlink.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/w1/w1_netlink.c~git-net-gregkh-i2c-w1-netlink-callbacks-fix drivers/w1/w1_netlink.c
--- devel/drivers/w1/w1_netlink.c~git-net-gregkh-i2c-w1-netlink-callbacks-fix	2005-08-15 20:31:36.000000000 -0700
+++ devel-akpm/drivers/w1/w1_netlink.c	2005-08-15 20:32:29.000000000 -0700
@@ -60,7 +60,7 @@ nlmsg_failure:
 
 int dev_init_netlink(struct w1_master *dev)
 {
-	dev->nls = netlink_kernel_create(NETLINK_W1, NULL);
+	dev->nls = netlink_kernel_create(NETLINK_W1, 1, NULL, THIS_MODULE);
 	if (!dev->nls) {
 		printk(KERN_ERR "Failed to create new netlink socket(%u) for w1 master %s.\n",
 			NETLINK_W1, dev->dev.bus_id);
_
